Create a Subscription

This endpoint allows you to create a new subscription for a customer. Creating a subscription involves associating a customer with a specific subscription plan and recording their payment information.

Body Params
paymentMethod
object
required
string
required

A unique identifier generated by your system to track the transaction (alphanumeric and hyphens). We recommend using UUID4 to ensure uniqueness.

string
enum
required

Document country. ISO 3166-1 alpha-3.

number
required

Transaction amount.

string
enum
required
string
required

Localpayment account number.

string
enum
required

Reason for the payment code.

string

Additional information

string

Token provided by the Foreign Exchange service in order to use an upfront agreed exchange rate.

payer
object
required

Payer's information.

intermediaries
array

Array of Party objects. It represents others parties in the payment chain because of the end user is not your direct customer. Take into account the array sequence: your client should be the first element, the client of your client should be the second and so on, until there are no more intermediaries.

intermediaries
device
object
string

Unstructured object to record any metadata meaningful to you.

commercialData
object

Extra information related to the goods or services traded.

merchant
object

Merchant information.

card
object
required

Payer deb card data.

string

Invoice reference.

item
object

List of sold items.

shipments
object

List of shipping addresses

beneficiary
object

Account Beneficiary Information.

string
enum
required

Specifies the subscription category.

Allowed:
autoRecurring
object
required

Subscription properties

retry
object

Payin retry options.

discount
object

Discount options.

Headers
string
required

Bearer access token for authentication. This token is obtained from the Get Access Token or Refresh Access Token endpoints.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json